--# CHANGE_BEGIN
function opaqueLayoutChange(layout)
	print('Layout: ' .. layout)
	if parentForFrame then
		local gameViewTemp = GetFrame(parentForFrame:GetRootFrame():GetTargetHead())
		if viewRight then
			if layout == 'left' then
				viewLeft.Top:Set(gameViewTemp.Top)
				viewLeft.Left:Set(function() return (gameViewTemp.Left() + 200) end)
				viewLeft.Right:Set(function() return (gameViewTemp.Left() + 200) + ((gameViewTemp.Right() - gameViewTemp.Left() - 202) / 2) end)
				viewLeft.Bottom:Set(gameViewTemp.Bottom)
        
				viewRight.Top:Set(gameViewTemp.Top)
				viewRight.Left:Set(function() return (gameViewTemp.Left() + 202) + ((gameViewTemp.Right() - gameViewTemp.Left() - 202) / 2) end)
				viewRight.Right:Set(gameViewTemp.Right)
				viewRight.Bottom:Set(gameViewTemp.Bottom)
			else
				viewLeft.Top:Set(gameViewTemp.Top)
				viewLeft.Left:Set(gameViewTemp.Left)
				viewLeft.Right:Set(function() return gameViewTemp.Left() + ((gameViewTemp.Right() - gameViewTemp.Left() - 2) / 2) end)
				viewLeft.Bottom:Set(function() return (gameViewTemp.Bottom() - 116) end)
				viewRight.Top:Set(gameViewTemp.Top)
				viewRight.Left:Set(function() return (gameViewTemp.Left() + 2) + ((gameViewTemp.Right() - gameViewTemp.Left() - 2) / 2) end)
				viewRight.Right:Set(gameViewTemp.Right)
				viewRight.Bottom:Set(function() return (gameViewTemp.Bottom() - 116) end)
			end
		else
			if layout == 'left' then
				viewLeft.Top:Set(gameViewTemp.Top)
				viewLeft.Left:Set(function() return (gameViewTemp.Left() + 200) end)
				viewLeft.Right:Set(gameViewTemp.Right)
				viewLeft.Bottom:Set(gameViewTemp.Bottom)
			else
				viewLeft.Top:Set(gameViewTemp.Top)
				viewLeft.Left:Set(gameViewTemp.Left)
				viewLeft.Right:Set(gameViewTemp.Right)
				viewLeft.Bottom:Set(function() return (gameViewTemp.Bottom() - 116) end)
			end
		end
	end
end
--# CHANGE END

function CreateMainWorldView(parent, mapGroup, mapGroupRight)    
	if viewLeft then    
		viewLeft:Destroy()
		viewLeft = false  
	end
	if viewRight then
		viewRight:Destroy()
		viewRight = false
	end
	if view then
		view:Destroy()
		view = false
	end
	if mapGroupRight then
		parentForFrame = parent
		viewLeft = import('/lua/ui/controls/worldview.lua').WorldView(mapGroup, 'WorldCamera', 1, false) -- depth value should be below minimap
		viewLeft:Register('WorldCamera', nil, '<LOC map_view_0004>Split View Left', 2)
		viewLeft:SetRenderPass(UIUtil.UIRP_UnderWorld | UIUtil.UIRP_PostGlow) -- don't change this or the camera will lag one frame behind
		
		--# CHANGE_BEGIN
		--# LayoutHelpers.FillParent(viewLeft, mapGroup)
		--# CHANGE_END

		viewLeft:GetsGlobalCameraCommands(true)

		viewRight = import('/lua/ui/controls/worldview.lua').WorldView(mapGroupRight, 'WorldCamera2', 1, false) -- depth value should be below minimap
		viewRight:Register('WorldCamera2', nil, '<LOC map_view_0005>Split View Right', 2)
		viewRight:SetRenderPass(UIUtil.UIRP_UnderWorld | UIUtil.UIRP_PostGlow) -- don't change this or the camera will lag one frame behind

		--# CHANGE_BEGIN
		--# LayoutHelpers.FillParent(viewRight, mapGroupRight)
		local current_layout = import('/lua/ui/uiutil.lua').currentLayout
		opaqueLayoutChange(current_layout)
		--# CHANGE_END

		view = Group(viewLeft)
		view.Left:Set(viewLeft.Left)
		view.Top:Set(viewLeft.Top)
		view.Bottom:Set(viewLeft.Bottom)
		view.Right:Set(viewRight.Right)
		view:DisableHitTest()
	else
		parentForFrame = parent
		viewLeft = import('/lua/ui/controls/worldview.lua').WorldView(mapGroup, 'WorldCamera', 1, false) -- depth value should be below minimap
		viewLeft:Register('WorldCamera', nil, '<LOC map_view_0006>Main View', 2)
		viewLeft:SetRenderPass(UIUtil.UIRP_UnderWorld | UIUtil.UIRP_PostGlow) -- don't change this or the camera will lag one frame behind

		--# CHANGE_BEGIN
		--# LayoutHelpers.FillParent(viewLeft, mapGroup)
		local current_layout = import('/lua/ui/uiutil.lua').currentLayout
		opaqueLayoutChange(current_layout)
		--# CHANGE_END
		--
		viewLeft:GetsGlobalCameraCommands(true)

		view = Group(viewLeft)
		view:DisableHitTest()
		LayoutHelpers.FillParent(view, viewLeft)
	end
	import('/lua/ui/game/multifunction.lua').RefreshMapDialog()
end

function Expand()
	if viewRight then
		origRightLeft = viewRight.Left.compute
		origRightRight = viewRight.Right.compute
		origRightTop = viewRight.Top.compute
		origRightBottom = viewRight.Bottom.compute
		origLeft = viewLeft.Left.compute
		origRight = viewLeft.Right.compute
		origTop = viewLeft.Top.compute
		origBottom = viewLeft.Bottom.compute
    
		--# CHANGE_BEGIN
		--# local gameViewTemp = GetFrame(parentForFrame:GetRootFrame():GetTargetHead())
		--# viewLeft.Top:Set(gameViewTemp.Top)
		--# viewLeft.Left:Set(gameViewTemp.Left)
		--# viewLeft.Right:Set(function() return (gameViewTemp.Left() - 2) + ((gameViewTemp.Right() - gameViewTemp.Left()) / 2) end)
		--# viewLeft.Bottom:Set(gameViewTemp.Bottom)
		--# viewRight.Top:Set(gameViewTemp.Top)
		--# viewRight.Left:Set(function() return (gameViewTemp.Left() + 2) + ((gameViewTemp.Right() - gameViewTemp.Left()) / 2) end)
		--# viewRight.Right:Set(gameViewTemp.Right)
		--# viewRight.Bottom:Set(gameViewTemp.Bottom)
		local current_layout = import('/lua/ui/uiutil.lua').currentLayout
		opaqueLayoutChange(current_layout)
		--# CHANGE_END
	else
		origLeft = viewLeft.Left.compute
		origRight = viewLeft.Right.compute
		origTop = viewLeft.Top.compute
		origBottom = viewLeft.Bottom.compute

		--# CHANGE_BEGIN
		--LayoutHelpers.FillParent(viewLeft, GetFrame(parentForFrame:GetRootFrame():GetTargetHead()))
		local current_layout = import('/lua/ui/uiutil.lua').currentLayout
		opaqueLayoutChange(current_layout)
		--# CHANGE_END
	end
end
